FGELEV(1)

NOME
fgelev - Calcola l'altitudine dello scenario di FlightGear per un elenco di punti dato

SINTASSI
fgelev [--expire num] [--print-solidness] [--fg-root rootdir] [--fg-scenery scenerydir]

DESCRIZIONE
fgelev è un'utilità autonoma che, dato un elenco di punti sullo standard input, stampa l'altitudine corrispondente per ognuno di essi sullo standard output. Essa può anche (facoltativamente) stampare se il materiale che ricopre tale punto è solido o meno. L'elenco di punti deve essere nel seguente formato:
    id lon lat dove id è un identificatore arbitrario per il punto, lon è la longitudine del punto e lat è la latitudine del punto. Longitudini (latitudini) positive corrispondono a punti collocati nell'emisfero orientale (settentrionale); quelle negative corrispondono a punti collocati nell'emisfero occidentale (meridionale). L'elenco di altitudini restituito da fgelev ha il seguente formato:
    id: elev solid dove id è l'identificatore del punto fornito come input, elev è l'altitudine del punto in metri (o -1000 se l'altitudine del punto dato non è stata trovata) e solid è:

•   la stringa solid se il parametro --print-solidness è stato fornito a fgelev e il materiale che ricopre il punto è solido;

•   la stringa - se il parametro --print-solidness è stato fornito a fgelev e il materiale che ricopre il punto non è solido;

•   assente se il parametro --print-solidness non è stato fornito a fgelev.

OPZIONI

--expire num
    Per velocizzare il recupero dei dati relativi all'altitudine, fgelev utilizza una cache interna. Quest'opzione consente all'utente di specificare il numero di richieste dopo le quali, se un punto non è stato richiesto, esso verrà contrassegnato come scaduto. Per impostazione predefinita, fgelev marca come scaduti i punti non richiesti nelle ultime 10 richieste.

--print-solidness
    Richiede a fgelev di stampare la solidità del materiale che ricopre il punto richiesto. Vedi la sezione DESCRIZIONE per ulteriori dettagli.

--fg-root rootdir
    Imposta la directory radice dei dati di FlightGear ($FG_ROOT) a rootdir. Se quest'opzione non è impostata, fgelev utilizza il percorso specificato nella variabile d'ambiente FG_ROOT o, in sua assenza, la directory dei dati di FlightGear scelta all'atto della compilazione del programma.

--fg-scenery scenerydir
    Imposta la directory dello scenario di FlightGear ($FG_SCENERY) a scenerydir. Se quest'opzione non è impostata, fgelev utilizza il percorso specificato nella variabile d'ambiente FG_SCENERY o, in sua assenza, la sottodirectory Scenery all'interno di $FG_ROOT.

STATI D'USCITA
fgelev esce con EXIT_SUCCESS se l'esecuzione ha avuto successo, con EXIT_FAILURE se non è in grado di leggere i dati dallo standard input o di caricare lo scenario.

VARIABILI D'AMBIENTE

FG_ROOT
    Se FG_ROOT è impostata e --fg-root non è impostato, specifica la directory radice dei dati da utilizzare.

FG_SCENERY
    Se FG_SCENERY è impostata e --fg-scenery non è impostato, specifica la directory dello scenario da utilizzare.

VEDERE ANCHE
fgfs(1)